using System.Collections.Generic;
using System.IO;
using System.Threading.Tasks;
using XYY.Common.Standard;
using XYY.Model.Standard.Order;
using XYY.Service.Standard.First.Model;
using XYY.TaskTrack.Standard.TaskModel;

namespace XYY.Service.Standard.First
{
    public interface ILadingTrackingService
    {
        Task<BatchJobResult> AddBatchJob(Stream formFile);
        Task TestPublic();
        Task TestSendLog(Frist_Log fristLog);

        Task TrackSupplement(TrackSupplementRequest param);
        Task SendInitHKXiKeOrders();

        Task<List<Lading51TrackResult>> Lading51TrackService(List<string> ladingNumber, bool IsTest = false);

        Task testDez();

        #region 头程信息匹配
        Task<long> AddFirstTrackMatchRule(Logistics_FirstTrackMatch dto);
        Task<PageResult<Logistics_FirstTrackMatch>> GetFirstTrackMatchRules(QueryModel queryModel);
        Task<bool> UpdateFirstTrackMatchRule(Logistics_FirstTrackMatch dto);
        Task<bool> DeleteFirstTrackMatchRule(int Id);
        Task<NodeTimeData> GetNodeTime(NodeTimeData data);
        #endregion

    }
}